%define python3_pkgversion 3.11
%global pypi_name subprocess-tee
%global srcname subprocess_tee
%global pypi_version 0.4.2
%global debug_package %{nil}

%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package python-%{pypi_name}}

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.2%{?dist}
Summary:        Python parsing module

License:        MIT License
URL:            %{pypi_source}
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         1000-add-setup-py.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -p1 -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/subprocess_tee

%pycached %{python3_sitelib}/test/*.py
%{python3_sitelib}/subprocess_tee-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jan 17 2025 Rafael Barron <rafael.barron@oracle.com> - 0.4.2-1.0.2
- Update to 0.4.2

* Thu Sep 19 2024 Carlos Heiras <carlos.heiras@oracle.com> - 1.35.1-2
- OLAM-373 Rework setup.py patch

* Mon Jul 22 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.35.1-1
- Initial package.
